package sk.upjs.ics.rozhovor.dao;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.Date;
import org.springframework.jdbc.core.RowMapper;
import sk.upjs.ics.rozhovor.Message;
import sk.upjs.ics.rozhovor.User;

public class MessageMapper implements RowMapper<Message>{
    public Message mapRow(ResultSet rs, int i) throws SQLException {
        String text = rs.getString("text");
        Date timestamp = new Date(rs.getTimestamp("timestamp").getTime());

        String userNick = rs.getString("user.nick");
        User user = new User(userNick);

        Message message = new Message(user, text, timestamp);

        return message;
    }

}
